import { PaginationMode } from './types';
export type DataGridStylesParams = {
    height?: string | number;
    width?: string | number;
    noEllipsis?: boolean;
    withFixedHeader?: boolean;
    paginationMode?: PaginationMode;
};
declare const _default: (params: DataGridStylesParams, options?: import("@mantine/core").UseStylesOptions<string> | undefined) => {
    classes: {
        wrapper: string;
        scrollArea: string;
        table: string;
        thead: string;
        tbody: string;
        tr: string;
        th: string;
        td: string;
        headerCellContent: string;
        headerCellButtons: string;
        dataCellContent: string;
        resizer: string;
        isResizing: string;
        sorter: string;
        filter: string;
        globalFilter: string;
        pagination: string;
        pagination_info: string;
        pagination_size: string;
        pagination_page: string;
    };
    cx: (...args: any) => string;
    theme: import("@mantine/core").MantineTheme;
};
export default _default;
